<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <walls>
            <wall fill="#ff000000" stroke-style="none" begin="0:0" end="0:200" stroke-width="5" id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1000" end="0:1200" stroke-width="5" id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:0" end="1000:0" stroke-width="5" id="{2874bbda-b5e5-4260-863d-0147f6292377}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:600" end="1400:400" stroke-width="5" id="{3c0fc77d-99bf-4596-9ff2-bcc22a000dec}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1600" end="350:1600" stroke-width="5" id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:800" end="1400:1000" stroke-width="5" id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:0" end="1600:0" stroke-width="5" id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:400" end="800:400" stroke-width="5" id="{56d86238-8521-494b-84cf-3b0703950e0b}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:200" end="0:400" stroke-width="5" id="{58e93446-e01b-4467-ac81-aa74f6100032d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1600" end="350:1600" stroke-width="5" id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:800" end="0:1000" stroke-width="5" id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:400" end="0:600" stroke-width="5" id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:0" end="1600:400" stroke-width="5" id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:3200" end="4400:3200" stroke-width="5" id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:0" end="800:0" stroke-width="5" id="{89bde907-f287-4caf-81c2-51a4ac98550f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:600" end="0:800" stroke-width="5" id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:0" end="400:0" stroke-width="5" id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:200" end="1400:0" stroke-width="5" id="{951d413b-d67d-4e1a-adbf-cec5a649cd35}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:200" end="1000:400" stroke-width="5" id="{9fcd364e-1aa1-4f37-a8db-8ff676f4d383}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:0" end="200:0" stroke-width="5" id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1000" end="1600:400" stroke-width="5" id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:0" end="1200:0" stroke-width="5" id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1600:1000" end="1600:1600" stroke-width="5" id="{de654a82-30ad-4296-a1ad-40e07030a493}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:600" end="800:600" stroke-width="5" id="{df0c339b-2932-4ea9-b5af-c9b6cdad3023}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:1200" end="0:1600" stroke-width="5" id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:0" end="600:0" stroke-width="5" id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:400" end="400:600" stroke-width="5" id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:600" end="600:600" stroke-width="5" id="{aacc2aaa-2009-41e0-8cd2-bcf973148c68}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="0:800" end="200:800" stroke-width="5" id="{f3c2d180-703a-4b65-951f-af6d8a82b2ba}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:400" end="800:600" stroke-width="5" id="{ae6ee371-f673-496a-a00c-64ddb10a950d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:400" end="1000:600" stroke-width="5" id="{2e8bafae-a054-438d-8f2f-614407a7aee5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="600:0" stroke-width="5" id="{e1d28e79-529a-4516-b754-b7400f58c69a}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:200" end="800:0" stroke-width="5" id="{350b4d4d-d050-4b80-8edb-b569e05ebe25}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:200" end="1200:200" stroke-width="5" id="{02d385c2-88f3-464a-974f-47d97ae857e1}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:200" end="1200:400" stroke-width="5" id="{7e8577fa-f52c-4394-9284-56049ea21ab5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:400" end="1200:400" stroke-width="5" id="{e8357d3c-fc26-4a33-8ab7-f5b196fdd965}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1000" end="1000:1000" stroke-width="5" id="{b01ae299-3ef3-41cb-9ca7-4b0005f63d4b}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1400" end="200:1200" stroke-width="5" id="{a968f975-2e39-48c9-a61f-90ea4c0dbd96}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="800:200" stroke-width="5" id="{200b2a51-858d-4f2d-8848-3e4d54ee07ad}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:400" end="600:400" stroke-width="5" id="{061b02c9-929a-427e-b9f2-0a60fc2c1d4b}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1000" end="400:1000" stroke-width="5" id="{199572d4-9fa6-476c-bc1a-07e1378efc4f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:1400" end="600:1600" stroke-width="5" id="{3ed40bbd-e64c-4cfc-a9f1-c161115a8643}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1400" end="1200:1400" stroke-width="5" id="{413f3714-3063-4be0-8a55-cbaa9eb3369f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1000" end="400:1200" stroke-width="5" id="{3142bc86-4826-4e9e-a60f-676b5aeae78e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1000" end="800:800" stroke-width="5" id="{26f68652-e3d9-4403-bd43-15957854a755}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1000" end="1000:800" stroke-width="5" id="{ed15fe0f-fa32-4f9a-84e6-1acd95243ff6}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:800" end="1000:800" stroke-width="5" id="{1cc4e244-56db-4d8d-b5e9-93aae5ffbb4f}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:200" end="600:200" stroke-width="5" id="{24dcd69c-6008-490c-a97e-424f7083b404}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:200" end="200:400" stroke-width="5" id="{5a0f7167-a160-4209-80aa-cc01e1803b42}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:400" end="400:400" stroke-width="5" id="{3ca2fe23-bf34-4ff7-8a18-7a028705742c}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:400" end="400:200" stroke-width="5" id="{0ebb5af4-71b7-4be8-9719-4adabe93ffb7}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:200" end="200:200" stroke-width="5" id="{e614c306-2840-452f-ae9b-e5b0b3f44404}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:400" end="1600:400" stroke-width="5" id="{30bb2e13-ebbf-4ed7-9a35-b0da619412ce}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:600" end="1600:600" stroke-width="5" id="{fb7de1d6-a2bb-4418-98ad-ee9816b3dbe8}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:800" end="600:1000" stroke-width="5" id="{f32452a9-c16d-483a-bc5a-3ab5a9c9da1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:800" end="400:800" stroke-width="5" id="{e534d29f-bacc-403c-8377-f05ed55baa88}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:200" end="200:0" stroke-width="5" id="{1cfacf87-f6ea-46da-b807-d04d7aca4ab3}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:200" end="0:200" stroke-width="5" id="{8b193666-aa6a-4d5f-9ed2-47879605dec8}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:600" end="0:600" stroke-width="5" id="{9df22edd-1444-4a10-86a8-d5f3563c0bd5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:600" end="200:800" stroke-width="5" id="{434ce4a8-1692-4593-8313-38e8bddc3938}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:800" end="400:1000" stroke-width="5" id="{64848a17-ff29-4347-a99b-a2fc70b37308}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1000" end="600:1000" stroke-width="5" id="{ae5dafbd-60ea-45bb-b68c-59fc5f12b761}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:200" end="1200:0" stroke-width="5" id="{4afcbf7f-1c6a-4033-8005-0fbfc9eaa2b5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:200" end="1400:200" stroke-width="5" id="{e981bc6d-7a96-4a26-90be-9c31ae484967}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:600" end="1400:600" stroke-width="5" id="{ffed48b5-47dd-44ea-8a92-6acb0f67fdef}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:600" end="1400:800" stroke-width="5" id="{262b2ec4-0463-4c15-845a-0b5cb5890848}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:800" end="1200:600" stroke-width="5" id="{38190515-6640-406e-a3ae-58d6c33951dd}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:800" end="1200:1000" stroke-width="5" id="{cb4d6239-b16e-4f6b-bfed-71c7d025c956}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1200:1000" end="1000:1000" stroke-width="5" id="{991ed028-6152-4164-b319-d98646673483}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1000" end="1400:1200" stroke-width="5" id="{63e13e57-14c1-4e3d-a92a-efd7ecba5e19}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1200" end="1400:1400" stroke-width="5" id="{3212c39d-89cd-44e3-adc4-299a5f6bfbf5}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1400:1400" end="1200:1400" stroke-width="5" id="{a795f23d-37c0-4011-abe6-b3f464445f02}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1200" end="1000:1000" stroke-width="5" id="{2604b37c-24f1-4367-bcf8-1aef305c9703}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1200" end="600:1200" stroke-width="5" id="{e3123a0b-5443-42b5-bffb-8f7bf23d138e}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1200" end="200:1000" stroke-width="5" id="{a71d9862-ac0b-4f20-85d0-dbebcc0de505}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="200:1400" end="400:1400" stroke-width="5" id="{132f547d-fd26-4892-87b7-6cb9f9b5930d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="400:1400" end="400:1200" stroke-width="5" id="{f8e601be-c19d-4080-b64a-5150ee7a0752}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:1200" end="600:1400" stroke-width="5" id="{4c847b0f-627c-4a47-a36a-2105566ddacc}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="800:1400" stroke-width="5" id="{27f2a306-6fc9-4420-a870-004cf5b37ab9}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="800:1200" stroke-width="5" id="{37bf14ed-b0d2-40e6-bf70-7656da7dcc05}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="800:1400" end="800:1600" stroke-width="5" id="{eec24e1c-c827-481e-90f5-a1e00ddc2e1d}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="1000:1400" end="1000:1200" stroke-width="5" id="{fd64fe27-6e7d-402c-833b-13cda35d1904}" stroke="#ff000000"/>
            <wall fill="#ff000000" stroke-style="none" begin="600:600" end="600:400" stroke-width="5" id="{fc3254de-ecbc-4787-aa18-00ff6e448ab5}" stroke="#ff000000"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region textX="0" height="200" visible="true" color="#ff0000" type="rectangle" filled="true" y="200" textY="0" x="0" text="Finish" id="finish" width="200"/>
            <region textX="0" height="200" visible="true" color="#0000ff" type="rectangle" filled="true" y="1400" textY="0" x="0" text="Start" id="start" width="200"/>
        </regions>
    </world>
    <robots>
        <robot position="75:1475" direction="180" id="trikKitRobot">
            <sensors>
                <sensor type="trik::robotModel::parts::TrikSonarSensor" port="D1###input###D1###sensorD1" position="25:25" direction="0"/>
                <sensor type="trik::robotModel::parts::TrikSonarSensor" port="D2###input###D2###sensorD2" position="25:25" direction="180"/>
                <sensor type="trik::robotModel::parts::TrikInfraredSensor" port="A1###input###А1###sensorA1" position="25:25" direction="90"/>
                <sensor type="trik::robotModel::parts::TrikInfraredSensor" port="A2###input######sensorA2" position="25:25" direction="-90"/>
            </sensors>
            <startPosition y="1500" x="100" direction="180" id="{ff4ce37a-75ec-4b53-9409-3eb41c4ef88d}"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticPhysics="false" realisticSensors="false" realisticMotors="false"/>
    <constraints>
        <timelimit value="900000"/>
        <constraint checkOnce="true" failMessage="У робота не должно быть лишних датчиков!">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside objectId="robot1" regionId="start"/>
        </constraint>
        <event settedUpInitially="true">
            <conditions glue="and">
                <not>
                    <inside objectId="robot1" regionId="finish"/>
                </not>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <fail message="Неверный ответ!"/>
            </trigger>
        </event>
        <event settedUpInitially="true">
            <conditions glue="and">
                <inside objectId="robot1" regionId="finish"/>
                <greater>
                    <objectState object="robot1.display.labels.size"/>
                    <int value="0"/>
                </greater>
                <equals>
                    <objectState object="robot1.display.labels.first.text"/>
                    <string value="finish"/>
                </equals>
            </conditions>
            <trigger>
                <success/>
            </trigger>
        </event>
    </constraints>
</root>
